program mat;

(*
**	581 milliseconds on owrs machine (Mendocino-533, 128k LII cache, lot of RAM)
*)

uses
	SysUtils, LibV in '..\..\Libv.pas';

{$APPTYPE CONSOLE}

var
	m : matrix_p;
	i,j,count : integer;
	t : timer_t;
	
begin
	m:=matAlloc(1000,1000);
	count:=0;
	for i:=0 to 999 do
		for j:=0 to 999 do
		begin
			m^.cell[i][j]:=count;
			count:=count+1;
		end;
	timerStart(t);
	libvFree(matInverse(m,false));
	writeln('Inversed in ',timerMilliseconds(t),' milliseconds');
end.
